//+------------------------------------------------------------------+
//|                                            Delta_excluzive_2.mq4 |
//|                                                 h.maiden@mail.ru |
//|                                                   Delta_modified |
//+------------------------------------------------------------------+
#property copyright "h.maiden@mail.ru"
#property link      "Delta_modified"
//----
string Indicator_Name = "Delta_2:";
int Objs = 0;
//----
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_level1 0

extern string simbol_1 = "AUDUSD"; 
extern bool      rev_1 = 0;        
extern string simbol_2 = "AUDNZD"; 
extern bool      rev_2 = 0;        

extern int ControlBars = 50;      //  
extern string   Suffix = "";

extern color Color_simbol_1 = Red;
extern color Color_simbol_2 = DeepPink;
extern int Line_Thickness = 1;
extern int All_Bars = 500;
extern int Last_Bars = 0;
//----
double arr_simbol_1[];
double arr_simbol_2[];
double P_1,P_2;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   if(Suffix != "")
   {
   simbol_1 = simbol_1+Suffix;
   simbol_2 = simbol_2+Suffix;
   }

   P_1=MarketInfo(simbol_1,MODE_POINT);
   P_2=MarketInfo(simbol_2,MODE_POINT);
   
   Indicator_Name = StringConcatenate(Indicator_Name," ",simbol_1," ",simbol_2," ");
   IndicatorShortName(Indicator_Name);
   int cur = 0; 
   int st = 43; 
   
       sl("~", cur, Color_simbol_1);      
       cur += st;
       sl("~", cur, Color_simbol_2);      
       cur += st;
       
       int width = 0; 
       width = Line_Thickness;
       SetIndexStyle(0, DRAW_LINE, DRAW_LINE, width, Color_simbol_1);
       SetIndexBuffer(0, arr_simbol_1);
       SetIndexLabel(0, simbol_1);

       width = Line_Thickness;
       SetIndexStyle(1, DRAW_LINE, DRAW_LINE, width, Color_simbol_2);
       SetIndexBuffer(1, arr_simbol_2);
       SetIndexLabel(1, simbol_2);
    
       
       IndicatorDigits(0);
                   
    return(0);
  } 
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int i = 0; i < Objs; i++)
     {
      if(!ObjectDelete(Indicator_Name + i))
          Print("error: code #", GetLastError());
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars = IndicatorCounted();
//----    
   if(counted_bars < 0) 
       return(-1);
//----     
   if(All_Bars < 1)
       All_Bars = Bars;
   if(counted_bars > 0 && Last_Bars > 0) 
       counted_bars -= Last_Bars;
   limit = All_Bars - counted_bars;
   if(limit<=0)limit=1;
//----  
   for(int i = 0; i < limit; i++)
     {
//----  
//+------------------------------------------------------------------+
   double High_Win = iHigh(simbol_1,0,iHighest(simbol_1,0,MODE_HIGH,ControlBars,i));
   double Low_Win  = iLow (simbol_1,0,iLowest (simbol_1,0,MODE_LOW, ControlBars,i));
   double Cust_1  = (High_Win+Low_Win)/2;
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
          High_Win = iHigh(simbol_2,0,iHighest(simbol_2,0,MODE_HIGH,ControlBars,i));
          Low_Win  = iLow (simbol_2,0,iLowest (simbol_2,0,MODE_LOW, ControlBars,i));
   double Cust_2  = (High_Win+Low_Win)/2;
//+------------------------------------------------------------------+
   double Cl_1 = iClose(simbol_1,0,i);   
   double Cl_2 = iClose(simbol_2,0,i);   
   arr_simbol_1[i] = (Cl_1-Cust_1)/P_1;
   if(rev_1)arr_simbol_1[i]=-arr_simbol_1[i];
   
   arr_simbol_2[i] = (Cl_2-Cust_2)/P_2;
   if(rev_2)arr_simbol_2[i]=-arr_simbol_2[i];
   
     }//end block for(int i=0; i<limit; i++)
//----

   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

void sl(string sym, int y, color col)
  {
   int window = WindowFind(Indicator_Name); //    
   string ID = Indicator_Name+Objs;
   int tmp = 10 + y;
   Objs++;
   if(ObjectCreate(ID, OBJ_LABEL, window, 0, 0))
     {
       //ObjectSet(ID, OBJPROP_CORNER, 1);
       ObjectSet(ID, OBJPROP_XDISTANCE, y + 55);
       ObjectSet(ID, OBJPROP_YDISTANCE, 2);
       ObjectSetText(ID, sym, 18, "Arial Black", col);
     }
  }   
//+------------------------------------------------------------------+

